Summary:	Gnome solution for scanning in the desktop on top of libsane
Name:		gnome-scan
Version:	0.6.2
Release:	7%{?dist}
Group:		Applications/System
License:	LGPLv2+
URL:		http://home.gna.org/gnomescan/
Source0:	http://ftp.gnome.org/pub/GNOME/sources/%{name}/0.6/%{name}-%{version}.tar.bz2
Patch0:		gnome-scan_babl-0.1.0_api.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	gtk2-devel libgnomeui-devel sane-backends-devel
BuildRequires:	gegl-devel gimp-devel
BuildRequires:	gettext perl(XML::Parser) pkgconfig intltool
BuildRequires:	desktop-file-utils gtk-doc gnome-doc-utils
Requires:	gimp
Provides:	flegita = %{version}-%{release}
Provides:	gnomescan = %{version}-%{release}
Obsoletes:	gnomescan < 0.5

%description
Gnome Scan provide a library for use by applications (e.g. using
plugins) as well as a tiny standalone application, called flegita,
which allow to simply save scan to file.

%package libs
Summary:	Gnome-scan library
Group:		Development/Libraries
Obsoletes:	gnomescan < 0.5

%description libs
Libraries for using gnome-scan

%package devel
Summary:	Development files for gnome-scan
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	pkgconfig gtk2-devel
Requires:	gegl-devel libgnomeui-devel
Obsoletes:      gnomescan-devel < 0.5

%description devel
Contains development headers and libraries for gnome-scan

%prep
%setup -q
%patch0 -p0 -b .babl

%build
%configure --disable-static
# Disable rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

desktop-file-install --delete-original			\
	--remove-category Application			\
	--dir %{buildroot}%{_datadir}/applications	\
	--mode 0644					\
	%{buildroot}%{_datadir}/applications/flegita.desktop


%find_lang %{name}

find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'
rm -rf %{buildroot}%{_prefix}/doc

%clean
rm -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%post libs -p /sbin/ldconfig

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/flegita
%{_libdir}/gimp/2.0/plug-ins/flegita-gimp
%{_datadir}/applications/flegita.desktop
%{_datadir}/icons/hicolor/*/*/*.svg
%{_datadir}/gnome-scan/

%files libs
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_libdir}/libgnomescan.so.*
%{_libdir}/gnome-scan-1.0/

%files devel
%defattr(-,root,root,-)
%{_includedir}/gnome-scan-1.0/
%{_libdir}/libgnomescan.so
%{_libdir}/pkgconfig/gnome-scan.pc
%doc %{_datadir}/gtk-doc/html/gnome-scan*/

%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 08 2010 Deji Akingunola <dakingun@gmail.com> - 0.6.2-6
- Move the license file (and other docs) to the -libs subpackage.

* Sat Feb 20 2010 Deji Akingunola <dakingun@gmail.com> - 0.6.2-5
- Rebuild for gegl-0.1.2

* Sat Jan 23 2010 Lorenzo Villani <lvillani@binaryhelix.net> - 0.6.2-4
- Rebuilt

* Fri Jan 15 2010 Deji Akingunola <dakingun@gmail.com> - 0.6.2-3
- Patch to build with babl-0.1.0 api by Caolan McNamara

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Apr 09 2009 Deji Akingunola <dakingun@gmail.com> - 0.6.2-1
- Update to version 0.6.2

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jan 13 2009 Deji Akingunola <dakingun@gmail.com> - 0.6.1-1
- Update to version 0.6.1

* Thu Mar 13 2008 Deji Akingunola <dakingun@gmail.com> - 0.6-2
- Fix wrong mouse cursor (Bug #437417)

* Mon Mar 10 2008 Deji Akingunola <dakingun@gmail.com> - 0.6-1
- New release

* Thu Feb 28 2008 Deji Akingunola <dakingun@gmail.com> - 0.5.93-1
- New release

* Wed Jan 16 2008 Deji Akingunola <dakingun@gmail.com> - 0.5.4-1
- Update to latest release

* Tue Jan 15 2008 Deji Akingunola <dakingun@gmail.com> - 0.5.3-0.2.20071030svn
- Add Obsolete tag for the -devel subpackage too.

* Thu Jan 10 2008 Deji Akingunola <dakingun@gmail.com> - 0.5.3-0.2.20071030svn
- Fixed to build with latest gegl

* Tue Oct 30 2007 Deji Akingunola <dakingun@gmail.com> - 0.5.3-0.1.20071030svn
- Update to a SVN snapshot that build against current gegl

* Sat Sep 14 2007 Deji Akingunola <dakingun@gmail.com> - 0.5.2-1
- Rename gnomescan to gnome-scan
- Version 0.5.2

* Mon Jan 29 2007 Deji Akingunola <dakingun@gmail.com> - 0.4.0.4-1
- Update to 0.4.0.4

* Tue Jan 09 2007 Deji Akingunola <dakingun@gmail.com> - 0.4.0.2-1
- Initial build for Extras

* Thu Dec 07 2006 Deji Akingunola <dakingun@gmail.com> - 0.3.1-1
- Initial build for Extras
